// Fakultt einer Zahl iterativ und rekursiv berechnen

// Klasse zum Paket de.rekursion hinzufuegen
package de.rekursion;

public class Fakultaet {
	/*static public long fakultaetIterativ (long n) {
		long ergebnis = 1; // Fak (0) = Fak (1) = 1
		for (long i = 2; i <= n; i++) {
			ergebnis = ergebnis * i;
		}		
		return ergebnis;
	}*/
	
	static public long fakultaetIterativ (long n) {
		long ergebnis = 1; // Fak (0) = Fak (1) = 1
		while (n > 0) {
			ergebnis = ergebnis * n;
			n = n - 1;
		}
		return ergebnis;
	}
	
	static public long fakultaetRekursiv (long n) {
		if (n == 0)  // Terminierungsfall Fak (0) = 1
			return 1;
		else
			return n * fakultaetRekursiv(n - 1);
	}	
}